%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstacklib
Version:        9.5.0
Release:        3%{?dist}
Summary:        Puppet OpenStack Libraries
License:        Apache-2.0

URL:            https://launchpad.net/puppet-openstacklib

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Fix-beaker-tests-to-use-openstack_integration-for-Ra.patch
Patch0002: 0002-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0003: 0003-Switch-to-Zuul-v3-testing.patch
Patch0004: 0004-Run-puppet-openstack-beaker-jobs.patch
Patch0005: 0005-Increase-os_workers.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-mysql
Requires:       puppet-stdlib
Requires:       puppet-rabbitmq
#Requires:       puppet-postgresql
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Libraries

%prep
%setup -q -n openstack-openstacklib-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/



%files
%{_datadir}/openstack-puppet/modules/openstacklib/


%changelog
* Thu Jun 28 2018 Alex Schultz <aschultz@redhat.com> 9.5.0-3
- Increase $::os_workers (rhbz#1457495)

* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.5.0-2
- Run puppet-openstack-beaker-jobs
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build
- Fix beaker tests to use openstack_integration for RabbitMQ

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422047)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-4
- Enable alternative transport in os_transport_url (lp#1651215)
- Improve os_transport_url ssl support
- Fix os_transport_url with single hosts array (lp#1650042)
- os_transport_url parser function
- Add ability to skip mysql user/grants (lp#1649341)

* Thu Nov 10 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Add region support to credentials

* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Add a refreshonly parameter to service_validation

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


